Books
Ledger books belonging to entities
List books
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId?string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/books"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"name": "string",
"type": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z"
}
]{
"error": "string"
}Create a book
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/books" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "name": "string", "type": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"name": "string",
"type": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": "string"
}{
"error": "string"
}